org.keycloak.authorization.model

## Class Policy.SearchableFields

- java.lang.Object
- - org.keycloak.authorization.model.Policy.SearchableFields

- Enclosing interface:
    Policy

      public static class Policy.SearchableFields
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SearchableModelField<Policy>` | `ASSOCIATED_POLICY_ID`
    `static SearchableModelField<Policy>` | `CONFIG`
    `static SearchableModelField<Policy>` | `ID`
    `static SearchableModelField<Policy>` | `NAME`
    `static SearchableModelField<Policy>` | `OWNER`
    `static SearchableModelField<Policy>` | `RESOURCE_ID`
    `static SearchableModelField<Policy>` | `RESOURCE_SERVER_ID`
    `static SearchableModelField<Policy>` | `SCOPE_ID`
    `static SearchableModelField<Policy>` | `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchableFields()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final SearchableModelField<Policy> ID

    - #### NAME

          public static final SearchableModelField<Policy> NAME

    - #### RESOURCE_SERVER_ID

          public static final SearchableModelField<Policy> RESOURCE_SERVER_ID

    - #### RESOURCE_ID

          public static final SearchableModelField<Policy> RESOURCE_ID

    - #### SCOPE_ID

          public static final SearchableModelField<Policy> SCOPE_ID

    - #### TYPE

          public static final SearchableModelField<Policy> TYPE

    - #### OWNER

          public static final SearchableModelField<Policy> OWNER

    - #### CONFIG

          public static final SearchableModelField<Policy> CONFIG

    - #### ASSOCIATED_POLICY_ID

          public static final SearchableModelField<Policy> ASSOCIATED_POLICY_ID

  - ### Constructor Detail

    - #### SearchableFields

          public SearchableFields()

Copyright © 2021 JBoss by Red Hat. All rights reserved.